Bug 4795 - misoptimization?
: misoptimization?
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build-python)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-15 11:04 by
Modified: 2005-08-30 02:27 (History)


Attachments
RPM/SPECS/solfege.spec (with added python-module-pygnome) (8.65 KB, text/plain)
2004-07-15 11:04, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-15 11:04:07
при сборке solfege в hasher "по новым правилам" огреб такое:

  python-module-pygnome-devel: Depends: python-module-pygnome (= 2.0.2-alt1)
but
it is not going to be installed

добавление python-module-pygnome в BuildRequires вручную помогло, хотя и
подозреваю, что оно было оттуда _удалено_ вследствие зависимости субпакета
devel
от данного.

вполне возможно, что это проблема hasher или apt, но на всякий случай обращаю
внимание...
------- Comment #1 From 2004-07-15 11:04:53 -------
Created an attachment (id=491) [details]
RPM/SPECS/solfege.spec (with added python-module-pygnome)
------- Comment #2 From 2004-07-15 11:11:07 -------
эээ... именно этот спек собирается, но пакет не устанавливается:

The following packages have unmet dependencies:
  solfege: Depends: python2.3(_solfege_c_midi) but it is not installable
           Depends: python2.3(mpd) but it is not installable
           Depends: python2.3(soundcard) but it is not installable
           Depends: python2.3(src) but it is not installable
           Depends: python2.3(winmidi) but it is not installable

но это уже другая сказка, буду читать/лечить :-)
------- Comment #3 From 2004-07-16 16:36:18 -------
(In reply to comment #0)
> при сборке solfege в hasher "по новым правилам" огреб такое:
> 
>   python-module-pygnome-devel: Depends: python-module-pygnome (= 2.0.2-alt1) but
> it is not going to be installed

Огреб такое же на gdesklets. Возможно, это ошибка hasher/apt, но что-то лечить
надо срочно.
------- Comment #4 From 2004-07-19 10:34:35 -------
Предположительно это ошибка в пакете python-module-pygnome,  
к сожалению, у меня сейчас нет интернет и проверить не могу. Но, 
это наиболее вероятный вариант. 
------- Comment #5 From 2005-04-09 13:12:51 -------
Если я правильно понимаю, проблема как-то разрешилась 
------- Comment #6 From 2005-04-09 21:57:21 -------
Не знаю, solfege фактически забросил...
------- Comment #7 From 2005-08-30 02:19:34 -------
closing
------- Comment #8 From 2005-08-30 02:27:25 -------
closing